var spaceObj = {}
var spaceSonCode = []
const api = {    
    // 1、获取指定空间code下的所有子code，返回{code: code-obj}
    getSpaceSonCode(arr) {
        if(arr.length) {
            spaceObj = {};
            api.getSpaceData(arr);
        }
        return spaceObj
    },
    // 获取space的obj数据
    getSpaceData(arr) {
        if(arr.length) {
            arr.forEach((item) => {
                spaceObj[item.code] = item;
                if (item.content) {
                    api.getSpaceData(item.content);
                }
            })
        }
    },
    // 2、空间对象类根据指定的code值返回该值下所有的子集code
    spaceSonCode(code, data) {
        let obj = data[code];
        spaceSonCode = []
        spaceSonCode.push(obj.code)
        if (obj.content) {
            api.getSonAllCode(obj)
        }
        return spaceSonCode
    },
    // 获取子集的所有code值
    getSonAllCode(obj) {
        if (obj.content) {
            obj.content.forEach(item => {
                api.getSonAllCode(item)
            })
        } else {
            spaceSonCode.push(obj.code);
        }
    }

};
export default api;
